package timeline

import (
	"context"

	"git.apinb.com/bsm-sdk/core/service"
	pb "bsm/full/module/social/feed/pb"
)

// 关注的动态
func Follow(ctx context.Context, in *pb.FetchRequest) (reply *pb.PostListReply, err error) {
	// parse authorization meta.
	_, err = service.ParseMetaCtx(ctx, nil)
	if err != nil {
		return nil, err
	}

	// valildate request page_no,page_size.
	if in.GetPageNo() < 1 {
		in.PageNo = 1
	}
	if in.GetPageSize() < 10 {
		in.PageSize = 50
	}

	// TODO: add your logic code & delete this line.

	return
}
